Package be.fgov.ehealth.dics.protocol.v5

# Class FindAmppRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.dics.protocol.v5.DicsRequestType
be.fgov.ehealth.dics.protocol.v5.FindAmppRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class FindAmppRequest extends DicsRequestType implements Serializable

Java class for FindAmppRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindAmppRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsRequestType">
           <sequence>
             <element name="FindByPackage" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByPackageType" minOccurs="0"/>
             <element name="FindByDmpp" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByDmppType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindAmppRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindByDmppType`
  `getFindByDmpp()`
  Search an AMP based on a DMPP identifier.
  `FindByPackageType`
  `getFindByPackage()`
  Search an AMP based on an AMPP identifier or any package name part.
  `void`
  `setFindByDmpp(FindByDmppType value)`
  Sets the value of the findByDmpp property.
  `void`
  `setFindByPackage(FindByPackageType value)`
  Sets the value of the findByPackage property.

  ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsRequestType

  `getSearchDate, setSearchDate`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindAmppRequest

    public FindAmppRequest()

- ## Method Details

  - ### getFindByPackage

    public FindByPackageType getFindByPackage()
    Search an AMP based on an AMPP identifier or any package name part. If an AMPP matches, the complete AMP is returned.
    Returns:
      possible object is `FindByPackageType`

  - ### setFindByPackage

    public void setFindByPackage(FindByPackageType value)
    Sets the value of the findByPackage property.
    Parameters:
      `value` - allowed object is `FindByPackageType`
    See Also:
      - `getFindByPackage()`

  - ### getFindByDmpp

    public FindByDmppType getFindByDmpp()
    Search an AMP based on a DMPP identifier. All products with packages linked to the given DMPP are returned.
    Returns:
      possible object is `FindByDmppType`

  - ### setFindByDmpp

    public void setFindByDmpp(FindByDmppType value)
    Sets the value of the findByDmpp property.
    Parameters:
      `value` - allowed object is `FindByDmppType`
    See Also:
      - `getFindByDmpp()`